#!/usr/bin/env python
#
#    ========== licence begin  SAP
#
#    (c) Copyright 2002-2006 SAP AG
#
#    All rights reserved.
#
#    ========== licence end


import sys
import string
import sapdb.dbm
import demodbData

def showState (session):
    output = session.cmd ('db_state')
    lines = string.split (output, '\n')
    try:
        state = lines [1]
        print 'database state:', state
    except IndexError:
        print 'unexpected output:', output

def createSession (username, password, dbname, host):
    session = sapdb.dbm.DBM (host, dbname, '', username + ',' + password)
    return session

def main ():
    username, password, dbname, host = demodbData.parseDbmArgs (sys.argv [1:])
    session = createSession (username, password, dbname, host)
    showState (session)

if __name__ == "__main__":
    main ()
