
#
#    ========== licence begin  SAP
#
#    (c) Copyright 2002-2006 SAP AG
#
#    All rights reserved.
#
#    ========== licence end


def defaultUser ():
    #      user,   password, dbname, host (None = local)
    return 'MONA', 'RED',   'MAXDB1',  ''

def dbmUser ():
    #      user,   password, dbname, host (None = local)
    return 'DBM',  'DBM',    'MAXDB1',  ''

def _parseArgs (args, defaults):
    username, password, dbname, host = defaults
    if len (args) > 3:
        host = args [3]
    if len (args) > 2:
        dbname = args [2]
    if len (args) > 1:
        password = args [1]
    if len (args) > 0:
        username = args [0]
    return username, password, dbname, host

def parseUserArgs (args):
    return _parseArgs (args, defaultUser ())

def parseDbmArgs (args):
    return _parseArgs (args, dbmUser ())
