#!/usr/bin/env python
#
#    ========== licence begin  SAP
#
#    (c) Copyright 2002-2006 SAP AG
#
#    All rights reserved.
#
#    ========== licence end


import sys
import sapdb.sql
import demodbData

def sayHello (session):
    cursor = session.sql ("select 'Hello, MaxDB' from dual")
    row = cursor.next ()
    # row is a tuple with one element
    (result,) = row
    print result

def createSession (username, password, dbname, host):
    session = sapdb.sql.connect (username, password, dbname, host)
    return session

def main ():
    username, password, dbname, host = demodbData.parseUserArgs (sys.argv [1:])
    session = createSession (username, password, dbname, host)
    sayHello (session)
    session.commit ()  # not necessary for a SELECT, but good style anyway

if __name__ == "__main__":
    main ()
